com.sun.grid.jgdi.configuration

## Class JobReferenceImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.JobReferenceImpl

- All Implemented Interfaces:
    GEObject, JobReference, java.io.Serializable, java.lang.Cloneable

      public class JobReferenceImpl
      extends GEObjectImpl
      implements JobReference

  Java representation of the cull object JRE_Type defined in sge_all_listsL.template

  Warning: The JobReferenceImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobReferenceImpl()` Create a new instance of JobReferenceImpl.
    `JobReferenceImpl(boolean initWithDefaultValues)` Create a new instanceof
    `JobReferenceImpl(int jobNumber)` Create a new instance of JobReferenceImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getJobName()` Get the value of the jobName attribute.
    `int` | `getJobNumber()` Get the value of the jobNumber attribute.
    `boolean` | `isSetJobName()` Determine if the jobName attribute is set
    `boolean` | `isSetJobNumber()` Determine if the jobNumber attribute is set
    `void` | `setJobName(java.lang.String aJobName)` Set the jobName attribute.
    `void` | `setJobNumber(int aJobNumber)` Set the jobNumber attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### JobReferenceImpl

          public JobReferenceImpl()

      Create a new instance of JobReferenceImpl. The new instance will not be initialized with the default values.

    - #### JobReferenceImpl

          public JobReferenceImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### JobReferenceImpl

          public JobReferenceImpl(int jobNumber)

      Create a new instance of JobReferenceImpl

  - ### Method Detail

    - #### isSetJobNumber

          public boolean isSetJobNumber()

      Determine if the jobNumber attribute is set
      Specified by:
        `isSetJobNumber` in interface `JobReference`
      Returns:
        `true` if the jobNumber attribute is set

    - #### setJobNumber

          public void setJobNumber(int aJobNumber)

      Set the jobNumber attribute.
      Specified by:
        `setJobNumber` in interface `JobReference`
      Parameters:
        `aJobNumber` - the new value for the jobNumber attribute

    - #### getJobNumber

          public int getJobNumber()

      Get the value of the jobNumber attribute.
      Specified by:
        `getJobNumber` in interface `JobReference`
      Returns:
        the value of the jobNumber attribute

    - #### isSetJobName

          public boolean isSetJobName()

      Determine if the jobName attribute is set
      Specified by:
        `isSetJobName` in interface `JobReference`
      Returns:
        `true` if the jobName attribute is set

    - #### setJobName

          public void setJobName(java.lang.String aJobName)

      Set the jobName attribute.
      Specified by:
        `setJobName` in interface `JobReference`
      Parameters:
        `aJobName` - the new value for the jobName attribute

    - #### getJobName

          public java.lang.String getJobName()

      Get the value of the jobName attribute.
      Specified by:
        `getJobName` in interface `JobReference`
      Returns:
        the value of the jobName attribute

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `JobReference`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.